From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libcapi/
Date: Sun, 15 Nov 2020 23:24:11 +0000 (UTC) [thread overview]
Message-ID: <1605482596.548a71a590bc2d1879da0372a02c46ed04bddfd8.soap@gentoo> (raw)
commit: 548a71a590bc2d1879da0372a02c46ed04bddfd8
Author: Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sun Nov 15 23:23:16 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 23:23:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=548a71a5
net-libs/libcapi: disable static libs
Closes: https://bugs.gentoo.org/724902
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
net-libs/libcapi/libcapi-3.0.7-r1.ebuild | 30 ++++++++++++++++++++++--------
1 file changed, 22 insertions(+), 8 deletions(-)
diff --git a/net-libs/libcapi/libcapi-3.0.7-r1.ebuild b/net-libs/libcapi/libcapi-3.0.7-r1.ebuild
index e8956cc46ae..581f0ffff13 100644
--- a/net-libs/libcapi/libcapi-3.0.7-r1.ebuild
+++ b/net-libs/libcapi/libcapi-3.0.7-r1.ebuild
@@ -1,11 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-inherit autotools-multilib
+inherit autotools multilib-minimal
DESCRIPTION="CAPI library used by AVM products"
HOMEPAGE="http://www.tabos.org/ffgtk"
@@ -15,9 +13,25 @@ LICENSE="GPL-2 LGPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
-S="${WORKDIR}/capi20"
-
RDEPEND="!net-dialup/capi4k-utils"
DEPEND="${RDEPEND}"
-PATCHES=( "${FILESDIR}/${P}-remove-libcapi20dyn.patch" )
+S="${WORKDIR}/capi20"
+PATCHES=( "${FILESDIR}"/${P}-remove-libcapi20dyn.patch )
+
+src_prepare() {
+ default
+ eautoreconf
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" \
+ econf --disable-static
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2020-11-15 23:24 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-15 23:24 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-08-25 18:17 [gentoo-commits] repo/gentoo:master commit in: net-libs/libcapi/ Agostino Sarubbo
2022-08-25 18:15 Agostino Sarubbo
2022-08-25 3:33 Sam James
2022-07-24 11:33 Conrad Kostecki
2017-03-01 0:43 Michael Weber
2017-03-01 0:43 Michael Weber
2016-08-24 19:07 NP Hardass
2016-08-24 19:07 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605482596.548a71a590bc2d1879da0372a02c46ed04bddfd8.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox